<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.0</TargetFramework>
    <ProduceReferenceAssembly>true</ProduceReferenceAssembly>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Images\**" />
    <EmbeddedResource Remove="Images\**" />
    <None Remove="Images\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Acr.UserDialogs" Version="7.1.0.468" />
    <PackageReference Include="Newtonsoft.Json" Version="12.0.3" />
    <PackageReference Include="Rg.Plugins.Popup" Version="1.2.0.223" />
    <PackageReference Include="SkiaSharp" Version="2.80.2" />
    <PackageReference Include="sqlite-net-pcl" Version="1.7.335" />
    <PackageReference Include="SQLite.Net-PCL" Version="3.1.1" />
    <PackageReference Include="Xam.Plugin.Connectivity" Version="3.2.0" />
    <PackageReference Include="Xam.Plugin.Geolocator" Version="4.2.0" />
    <PackageReference Include="Xam.Plugin.Media" Version="3.1.3" />
    <PackageReference Include="Xam.Plugins.Settings" Version="3.1.1" />
    <PackageReference Include="Xamarin.Controls.SignaturePad.Forms" Version="3.0.0" />
    <PackageReference Include="Xamarin.Forms" Version="4.6.0.1141" />  
    <PackageReference Include="Xamarin.Essentials" Version="1.5.3.2" />  
    <PackageReference Include="Xamarin.Forms.Maps" Version="4.3.0.908675" />  
    <PackageReference Include="Xamarin.Forms.PancakeView" Version="1.4.2" />  
    <PackageReference Include="Zebra.Printer.SDK" Version="2.15.2634" />  
    <PackageReference Include="ZPLForge" Version="1.0.0" />  
    <PackageReference Include="ZXing.Net.Mobile" Version="2.4.1" />  
    <PackageReference Include="ZXing.Net.Mobile.Forms" Version="2.4.1" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="Views\Home\DashboardPage.xaml.cs">
      <DependentUpon>DashboardPage.xaml</DependentUpon>
    </Compile>
    <Compile Update="Views\Home\OrderPage.xaml.cs">
      <DependentUpon>OrderPage.xaml</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="Views\Home\AddTransportPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\Home\CloseOrderPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\Home\ProjectViewPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\Home\ViewOrderPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\Home\ViewTransportesPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\PopUp\CodeScanPopup.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\PopUp\HaulersPopup.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\PopUp\LocationPopup.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\PopUp\ProjactActivityPopup.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\PopUp\ProjectPopup.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\PopUp\ScanRfidPopup.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\PopUp\TrailerPopup.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\Tabbed\EqtpHaulersPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\Tabbed\EqtpTrailersPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\Tabbed\LocationPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Views\Tabbed\ProjectPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
  </ItemGroup>
</Project>